diff -arcN emacs-18.55/lisp/rect.el nemacs-3.3.2/lisp/rect.el
*** emacs-18.55/lisp/rect.el	Wed Oct  1 02:09:19 1986
--- nemacs-3.3.2/lisp/rect.el	Wed Jun  6 03:16:04 1990
***************
*** 1,3 ****
--- 1,6 ----
+ ;;; 89.3.12  modified for Nemacs Ver.3.0 by K.Handa
+ ;;; 89.9.11  modified for Nemacs Ver.3.2 by K.Handa
+ 
  ;; Rectangle functions for GNU Emacs.
  ;; Copyright (C) 1985 Free Software Foundation, Inc.
  
***************
*** 53,58 ****
--- 56,73 ----
  		  (> (current-column) startcol)
  		  (rectangle-coerce-tab startcol))
  	     (setq begextra (- (current-column) startcol))
+ 	     ;;; 89.9.11  by K.Handa
+ 	     (if (and (= begextra -1)
+ 		      (= (jcode-type (point)) 1))
+ 		 (if coerce-tabs
+ 		     (progn
+ 		       (delete-char 2)
+ 		       (insert "  ")
+ 		       (forward-char -1)
+ 		       (setq begextra 0))
+ 		   (forward-char 2)
+ 		   (setq begextra 1)))
+ 	     ;;; end of patch
  	     (setq startpos (point))
  	     (move-to-column endcol)
  	     (if (> (current-column) endcol)
***************
*** 60,65 ****
--- 75,90 ----
  		     (rectangle-coerce-tab endcol)
  		   (forward-char -1)))
  	     (setq endextra (- endcol (current-column)))
+ 	     ;;; 89.9.11  by K.Handa
+ 	     (if (and coerce-tabs
+ 		      (= endextra 1)
+ 		      (= (jcode-type (point)) 1))
+ 		 (progn
+ 		   (delete-char 2)
+ 		   (insert "  ")
+ 		   (forward-char -1)
+ 		   (setq endextra 0)))
+ 	     ;;; end of patch
  	     (if (< begextra 0)
  		 (setq endextra (+ endextra begextra)
  		       begextra 0))
***************
*** 67,74 ****
  	   (forward-line 1))))
      (- endcol startcol)))
  
! (defun delete-rectangle-line (startdelpos ignore ignore)
!   (delete-region startdelpos (point)))
  
  (defun delete-extract-rectangle-line (startdelpos begextra endextra)
    (save-excursion
--- 92,109 ----
  	   (forward-line 1))))
      (- endcol startcol)))
  
! ;;; 89.9.7 by K.Handa
! (defun delete-rectangle-line (startdelpos begextra endextra)
!   (kanji-delete-region
!    (if (and (= begextra 1)
! 	    (= (jcode-type (1- startdelpos)) 2))
!        (1- startdelpos)
!      startdelpos)
!    (if (and (= endextra 1)
! 	    (= (jcode-type (point)) 1))
!        (1+ (point))
!      (point))))
! ;;; end of patch
  
  (defun delete-extract-rectangle-line (startdelpos begextra endextra)
    (save-excursion
***************
*** 173,178 ****
--- 208,218 ----
  (defun open-rectangle-line (startpos begextra endextra)
    (let ((column (+ (current-column) begextra endextra)))
      (goto-char startpos)
+     ;;; 89.3.12, 89.9.11  patch by K.Handa
+     (if (and (= begextra 1)
+ 	     (= (jcode-type (1- startpos)) 2))
+ 	(delete-char -2))
+     ;;; end of patch
      (let ((ocol (current-column)))
        (skip-chars-forward " \t")
        (setq column (+ column (- (current-column) ocol))))
diff -arcN emacs-18.55/lisp/simple.el nemacs-3.3.2/lisp/simple.el
*** emacs-18.55/lisp/simple.el	Fri Jul 22 19:14:42 1988
--- nemacs-3.3.2/lisp/simple.el	Wed Jun  6 03:16:11 1990
***************
*** 1,3 ****
--- 1,25 ----
+ ;;; Basic editing Commands for Egg on Nemacs
+ ;;; Modified by Satoru Tomura(tomura@etl.go.jp)
+ 
+ ;;;;  Ver.18.55    created by S.Tomura 89-Nov-17
+ ;;; Nemacs Ver.3.2
+ ;;;;  Ver.18.52a   modified by S.Tomura 89-Oct-21
+ ;;;;  Ver.18.52    created by S.Tomura 89-Mar-16
+ ;;; Nemacs Ver.3.0
+ ;;;;  Ver.18.50g   modified by S.Tomura 88-Nov-18
+ ;;;;  Ver.18.50f   modified by S.Tomura 88-Aug-25
+ ;;;;  Ver.18.50e   modified by S.Tomura 88-Jul-09
+ ;;;;  Ver.18.50d   modified by S.Tomura 88-Jun-23
+ ;;;;  Ver.18.50c   modified by S.Tomura 88-Jun-20
+ ;;;;  Ver.18.50b   modified by S.Tomura 88-Jun-16
+ ;;;;  Ver.18.50a   modified by S.Tomura 88-Jun-11
+ ;;;;  Ver.18.50    created by S.Tomura 88-Jun-11
+ ;;; Nemacs Ver.2.1  
+ ;;;;  Ver.18.47a2  modified by S.Tomura 88-Jun-2
+ ;;;;  Ver.18.47a1  modified by S.Tomura 88-Feb-9
+ ;;;;  Ver.18.47a   modified by S.Tomura 88-Feb-8
+ ;;;;               Kanji auto-fill added.
+ 
  ;; Basic editing commands for Emacs
  ;; Copyright (C) 1985, 1986, 1987 Free Software Foundation, Inc.
  
***************
*** 1093,1114 ****
    (let ((fill-point
  	 (let ((opoint (point)))
  	   (save-excursion
! 	     (move-to-column (1+ fill-column))
! 	     (skip-chars-backward "^ \t\n")
! 	     (if (bolp)
! 		 (re-search-forward "[ \t]" opoint t))
! 	     (skip-chars-backward " \t")
  	     (point)))))
      ;; If there is a space on the line before fill-point,
      ;; and nonspaces precede it, break the line there.
      (if (save-excursion
  	  (goto-char fill-point)
! 	  (not (bolp)))
  	;; If point is at the fill-point, do not `save-excursion'.
  	;; Otherwise, if a comment prefix or fill-prefix is inserted,
  	;; point will end up before it rather than after it.
  	(if (save-excursion
  	      (skip-chars-backward " \t")
  	      (= (point) fill-point))
  	    (indent-new-comment-line)
  	    (save-excursion
--- 1115,1167 ----
    (let ((fill-point
  	 (let ((opoint (point)))
  	   (save-excursion
! 	     ;;; patched by S.Tomura 88-Jun-2
! 	     ;;;(move-to-column (1+ fill-column))
! 	     ;;;(skip-chars-backward "^ \t\n")
! 	     ;;;(if (bolp)
! 	     ;;; (re-search-forward "[ \t]" opoint t))
! 	     ;;; find the point where there is no spaces before and
! 	     ;;; the preceding-char is kanji or the following-char is space.
! 	     (move-to-column fill-column)
! 	     ;;; patched by S. Tomura 88-Jun-16, 89-Oct-21
! 	     ;;; ´Á»ú¥³¡¼¥É¤Î¾ì¹ç¤Ë¤Ïfill-column¤è¤êÂç¤­¤¯¤Ê¤ë¤³¤È¤¬¤¢¤ë¡£
! 	     (or (>= fill-column (current-column)) (backward-char 1))
! 	     ;;; end of patch
! 	     (skip-chars-backward " \t") ;; skip SPC and TAB
! 	     (if (or (<= 128 (preceding-char))
! 		     (<= 128 (following-char))  ;;; 88-Aug-25
! 		     (= (following-char) ? )
! 		     (= (following-char) ?\t))
! 		 nil
! 	       (if(re-search-backward "[ \t\n]\\|\\z" ;;; 89-Nov-17
! 				      (point-min) (point-min))
! 		   (forward-char 1))
! 	       (if (or (bobp) (bolp)) 
! 		   (if (re-search-forward "[ \t]\\|\\z" opoint t) ;;; 88-Jun-11 by S.Tomura, 89-Nov-17
! 		       (backward-char 1)))
! 	       (skip-chars-backward " \t"))
! 	     (kinsoku-shori)
! 	     ;;; end of patch
  	     (point)))))
      ;; If there is a space on the line before fill-point,
      ;; and nonspaces precede it, break the line there.
      (if (save-excursion
  	  (goto-char fill-point)
! 	  ;;; patch by S. Tomura 88-Jun-23
! 	  ;;;ÆüËÜ¸ì¤Î¾ì¹ç¡¢¶ØÂ§½èÍý¤ÇÊ¬³äÅÀ¤¬¹ÔËö¤Ë¤¯¤ë¤³¤È¤¬¤¢¤ë¡£
! 	  ;;;(not (bolp)))
! 	  (not (or (bolp) (eolp))))
!           ;;; end of patch 
  	;; If point is at the fill-point, do not `save-excursion'.
  	;; Otherwise, if a comment prefix or fill-prefix is inserted,
  	;; point will end up before it rather than after it.
  	(if (save-excursion
  	      (skip-chars-backward " \t")
+ 	      ;;; patched by S.Tomura 88-Jun-2
+ 	      ;;; patched by S.Tomura 88-Nov-18
+ 	      ;;;(kinsoku-shori)
+ 	      ;;; end of patch
+ 	      ;;; end of patch
  	      (= (point) fill-point))
  	    (indent-new-comment-line)
  	    (save-excursion
***************
*** 1115,1120 ****
--- 1168,1174 ----
  	      (goto-char fill-point)
  	      (indent-new-comment-line))))))
  
+ 
  (defconst comment-multi-line nil
    "*Non-nil means \\[indent-new-comment-line] should continue same comment
  on new line, with no new terminator or starter.")
***************
*** 1125,1133 ****
    (interactive "*")
    (let (comcol comstart)
      (skip-chars-backward " \t")
!     (delete-region (point)
! 		   (progn (skip-chars-forward " \t")
! 			  (point)))
      (insert ?\n)
      (save-excursion
        (if (and comment-start-skip
--- 1179,1208 ----
    (interactive "*")
    (let (comcol comstart)
      (skip-chars-backward " \t")
!     ;;; patched by S.Tomura 88-Jun-2
!     (kinsoku-shori)
!     ;;; end of patch
!     ;;; patched by S.Tomura 88-Jun-20
!     ;;;(delete-region (point)
!     ;;;		   (progn (skip-chars-forward " \t")
!     ;;;			  (point)))
!     ;;; Á´³ÑÊ¸»ú¤ÎÁ°¸å¤ÎÈ¾³Ñ¶õÇò£±Ê¸»ú¤ÏÊÝÂ¸¤¹¤ë¡£
!     (if (not kanji-flag) 
! 	(delete-region (point)
! 		       (progn (skip-chars-forward " \t")
! 			      (point)))
!       (let ((start) (end))
! 	(setq start (point))
! 	(skip-chars-forward  " \t")
! 	(setq end (point))
! 	(delete-region start end)
! 	(if (and (or (<= 128 (preceding-char))
! 		     (<= 128 (following-char)))
! 		 (not (= start end))
! 		 (not (eolp))
! 		 (not (eobp)))
! 	    (insert ?  ))))
!     ;;; end of patch
      (insert ?\n)
      (save-excursion
        (if (and comment-start-skip
***************
*** 1394,1396 ****
--- 1469,1472 ----
  (defconst mode-specific-map (symbol-function 'mode-specific-command-prefix)
    "Keymap for characters following C-c.")
  (define-key global-map "\C-c" 'mode-specific-command-prefix)
+ 
diff -arcN emacs-18.55/lisp/startup.el nemacs-3.3.2/lisp/startup.el
*** emacs-18.55/lisp/startup.el	Sat Apr  8 11:03:10 1989
--- nemacs-3.3.2/lisp/startup.el	Wed Jun  6 03:16:12 1990
***************
*** 1,3 ****
--- 1,5 ----
+ ;;; 88.1.5  modified for Nemacs Ver.2.0 by K.Handa
+ 
  ;; Process Emacs shell arguments
  ;; Copyright (C) 1985, 1986 Free Software Foundation, Inc.
  
***************
*** 190,195 ****
--- 192,207 ----
  You may give out copies of Emacs; type \\[describe-copying] to see the conditions.
  Type \\[describe-distribution] for information on getting the latest version.
  Type \\[help-with-tutorial] for a tutorial on using Emacs.")))
+ ;;; patch by K.Handa  88.1.4
+ 		   (insert "\n\n"
+ 			   (nemacs-version))
+ 		   (insert (substitute-command-keys
+ 			    "
+ Type \\[help-with-tutorial-for-nemacs] for a Japanese tutorial on using Nemacs.
+ For any other Nemacs specific information,
+ please read "))
+ 		   (insert exec-directory "NEMACS.???.")
+ ;;; end of patch
  		   (set-buffer-modified-p nil)
  		   (sit-for 120))
  	     (erase-buffer)
diff -arcN emacs-18.55/lisp/term/x-win.el nemacs-3.3.2/lisp/term/x-win.el
*** emacs-18.55/lisp/term/x-win.el	Wed Jun 21 03:03:45 1989
--- nemacs-3.3.2/lisp/term/x-win.el	Wed Jun  6 03:17:09 1990
***************
*** 1,3 ****
--- 1,8 ----
+ ;; modified by K.Handa  88.1.15
+ ;; Nemacs Ver.2.0
+ 
+ ;;; 89.3.23  modified for Nemacs Ver.3.0 by K.Handa
+ 
  ;; Parse switches controlling how Emacs interfaces with X window system.
  ;; Copyright (C) 1986, 1988 Free Software Foundation, Inc.
  
***************
*** 39,44 ****
--- 44,52 ----
  	  (append '(("-r" . x-handle-switch)
  		    ("-i" . x-handle-switch)
  		    ("-font" . x-handle-switch)
+                     ;;; patch by T.Takada  87.7.9
+ 		    ("-kfont" . x-handle-switch)
+                     ;;; end of patch
  		    ("-w" . x-handle-switch)
  		    ("-b" . x-handle-switch)
  		    ("-ib" . x-handle-switch)
***************
*** 55,60 ****
--- 63,72 ----
  		  ("-rn" . x-ignore-arg)
  		  ("-font" . x-ignore-arg)
  		  ("-fn" . x-ignore-arg)
+ 		  ;;; 89.3.23  patch by K.Handa
+ 		  ("-kfont" . x-ignore-arg)
+ 		  ("-fk" . x-ignore-arg)
+ 		  ;;; end of patch
  		  ("-wn" . x-ignore-arg)
  		  ("-in" . x-ignore-arg)
  		  ("-w" . x-ignore-arg)
***************
*** 86,91 ****
--- 98,108 ----
  	((string= switch "-font")
  	 (x-set-font arg)
  	 t)
+ 	;;; patch by t.Takada 87.7.9
+ 	((string= switch "-kfont")
+ 	 (x-set-kfont arg)
+ 	 t)
+ 	;;; end of patch
  	((string= switch "-b")
  	 (x-set-border-width (string-to-int arg))
  	 t)
***************
*** 156,161 ****
--- 173,182 ----
    (let (value)
      (if (not (string= (setq value (x-get-default "bodyfont")) ""))
  	(x-handle-switch-1 "-font"  value))
+     ;;; 89.3.23  patch by K.Handa
+     (if (not (string= (setq value (x-get-default "bodykfont")) ""))
+ 	(x-handle-switch-1 "-kfont"  value))
+     ;;; end of patch
      (if (string-match "on" (x-get-default "bitmapicon"))
  	(x-handle-switch-1 "-i" t))
      (if (not (string= (setq value (x-get-default "borderwidth")) ""))
diff -arcN emacs-18.55/lisp/texinfmt.el nemacs-3.3.2/lisp/texinfmt.el
*** emacs-18.55/lisp/texinfmt.el	Thu Dec 29 13:11:05 1988
--- nemacs-3.3.2/lisp/texinfmt.el	Wed Jun  6 03:16:17 1990
***************
*** 1,3 ****
--- 1,13 ----
+ ;; Convert Japanese texinfo files to info files for Egg on Nemacs
+ ;; Modified by Satoru Tomura(tomura@etl.go.jp)
+ ;;
+ (defconst jtexinfo-version "1.03")
+ ;; Ver.1.03     modified by M.Nishikimi 89-Dec-14
+ ;; Ver.1.02     modified by S.Tomura 89-Dec-12
+ ;;              a bug fixed
+ ;; Ver.1.01     modified by S.Tomura 89-Dec-7
+ ;;              index related functions modified
+ 
  ;; Convert texinfo files to info files.
  ;; Copyright (C) 1985, 1986, 1988 Free Software Foundation, Inc.
  
***************
*** 292,299 ****
      (texinfo-format-expand-region start (point))
      (setq texinfo-command-end (marker-position marker))
      (move-marker marker nil)
!     (prog1 (buffer-substring start (point))
! 	   (if (eolp) (forward-char 1)))))
  
  (defun texinfo-format-expand-region (start end)
    (save-restriction
--- 302,320 ----
      (texinfo-format-expand-region start (point))
      (setq texinfo-command-end (marker-position marker))
      (move-marker marker nil)
! ;;; jtexinfo patch by S. Tomura 89-Dec-6
! ;;;"    (prog1 (buffer-substring start (point))"
! ;;;"	   (if (eolp) (forward-char 1)))))     "
!     (let ((point (point)))
!       (goto-char start)
!       (prog1 
! 	  (if (re-search-forward "\\(.*\\)\\[\\(.*\\)\\]" point t)
! 	      (cons (buffer-substring (match-beginning 1) (match-end 1))
! 		    (buffer-substring (match-beginning 2) (match-end 2)))
! 	    (buffer-substring start point))
! 	(goto-char point)
! 	(if (eolp) (forward-char 1))))))
! ;;; end of jtexinfo patch	     
  
  (defun texinfo-format-expand-region (start end)
    (save-restriction
***************
*** 862,867 ****
--- 883,901 ----
      ("ky" . texinfo-kindex)))
  
  (put 'printindex 'texinfo-format 'texinfo-format-printindex)
+ ;;; jtexinfo patch by S. Tomura 89-Dec-6
+ ;(defun texinfo-format-printindex ()
+ ;  (let ((indexelts (symbol-value
+ ;		    (cdr (assoc (texinfo-parse-arg-discard)
+ ;				texinfo-indexvar-alist))))
+ ;	opoint)
+ ;    (insert "\n* Menu:\n\n")
+ ;    (setq opoint (point))
+ ;    (texinfo-print-index nil indexelts)
+ ;    (if (eq system-type 'vax-vms) 
+ ;	(texinfo-sort-region opoint (point))
+ ;      (shell-command-on-region opoint (point) "sort -fd" 1))))
+ ;
  (defun texinfo-format-printindex ()
    (let ((indexelts (symbol-value
  		    (cdr (assoc (texinfo-parse-arg-discard)
***************
*** 870,889 ****
      (insert "\n* Menu:\n\n")
      (setq opoint (point))
      (texinfo-print-index nil indexelts)
!     (if (eq system-type 'vax-vms) 
! 	(texinfo-sort-region opoint (point))
!       (shell-command-on-region opoint (point) "sort -fd" 1))))
! 
  (defun texinfo-print-index (file indexelts)
    (while indexelts
!     (if (stringp (car (car indexelts)))
! 	(insert "* " (car (car indexelts))
! 		": " (if file (concat "(" file ")") "")
! 		(nth 1 (car indexelts)) ".\n")
!       ;; index entries from @include'd file
!       (texinfo-print-index (nth 1 (car indexelts))
! 			   (nth 2 (car indexelts))))
      (setq indexelts (cdr indexelts))))
  
  
  ;;;; Lisp Definitions
--- 904,953 ----
      (insert "\n* Menu:\n\n")
      (setq opoint (point))
      (texinfo-print-index nil indexelts)
!     (require 'sort)
!     (save-restriction
!       (narrow-to-region opoint (point))
!       (sort-lines nil (point-min) (point-max))
!       (goto-char (point-min))
!       (while (not (eobp))
! 	(let ((point (point)))
! 	  (search-forward "\0")
! 	  (delete-region point (point)))
! 	(forward-line 1)))))
! ;;; end of jtexinfo patch
! 
! 
! 
! ;;; jtexinfo patch by S. Tomura 89-Dec-6
! ;(defun texinfo-print-index (file indexelts)
! ;  (while indexelts
! ;    (if (stringp (car (car indexelts)))
! ;	(insert "* " (car (car indexelts))
! ;		": " (if file (concat "(" file ")") "")
! ;		(nth 1 (car indexelts)) ".\n")
! ;      ;; index entries from @include'd file
! ;      (texinfo-print-index (nth 1 (car indexelts))
! ;			   (nth 2 (car indexelts))))
! ;    (setq indexelts (cdr indexelts))))
! ;
  (defun texinfo-print-index (file indexelts)
    (while indexelts
!     (cond((stringp (nth 0 (car indexelts)))
! 	  (insert (nth 0 (car indexelts)) "\0") ;;; sort key
! 	  (insert "* " (nth 0 (car indexelts))
! 		  ": " (if file (concat "(" file ")") "")
! 		  (nth 1 (car indexelts)) ".\n"))
! 	 ((consp (nth 0 (car indexelts)))
! 	  (insert (cdr (nth 0 (car indexelts))) "\0") ;;; sort key
! 	  (insert "* " (car (nth 0 (car indexelts)))
! 		  ": " (if file (concat "(" file ")") "")
! 		  (nth 1 (car indexelts)) ".\n"))
! 	 (t
! 	  ;; index entries from @include'd file
! 	  (texinfo-print-index (nth 1 (car indexelts))
! 			       (nth 2 (car indexelts)))))
      (setq indexelts (cdr indexelts))))
+ ;;; end of jtexinfo patch
  
  
  ;;;; Lisp Definitions
***************
*** 909,915 ****
      ;; Delete extra newline inserted after previous header line.
      (if (not first-p)
  	(delete-char -1))
!     (insert "* " type ": " (car args))
      (let ((args (cdr args)))
        (while args
  	(insert " "
--- 973,983 ----
      ;; Delete extra newline inserted after previous header line.
      (if (not first-p)
  	(delete-char -1))
!     ;; patch by M.Nishikimi 89-Dec-14
!     ;; original line is
!     ;; (insert "* " type ": " (car args))
!     ;; and new line is
!     (insert "## " type ": " (car args))
      (let ((args (cdr args)))
        (while args
  	(insert " "
